For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddScenario
        • POSTDelScenario
        • POSTBindScenario
        • POSTGetScenarios
        • POSTSetScenarioInfo
        • POSTReorderScenarios
        • POSTStartScenarios
        • POSTStartConference
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceScenarios

DelScenario

||View as Markdown|
POST
https://api.voximplant.com/platform_api/DelScenario
POST
/platform_api/DelScenario
$curl -X POST "https://api.voximplant.com/platform_api/DelScenario?scenario_id=1&scenario_id=3" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Success
1{
2 "result": 1
3}

Deletes the scenario.

Allowed roles: Owner, Admin, Developer.

Example request: Delete the scenario 1 and 3.

Was this page helpful?
Previous

AddScenario

Next

BindScenario

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

scenario_idlist of integersOptional

The scenario ID list separated by semicolons (;). Use the ‘all’ value to delete all scenarios in all applications. Required unless scenario_name is provided.

scenario_namelist of stringsOptional

The scenario name list separated by semicolons (;). Required unless scenario_id is provided.

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully